# Fund limits details

This API retrieves detailed financial metrics including executed trades, pending orders, and total utilized amounts across equity, derivatives, currencies, and commodities for a specified source.

**Endpoint**

{% code title="Base URL" overflow="wrap" fullWidth="false" %}

```
https://connects.torusdigital.com/api/v1/funds/details
```

{% endcode %}

#### Header Parameters <a href="#header-parameters" id="header-parameters"></a>

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

#### **Request Parameter**

<table><thead><tr><th width="122">Name</th><th width="94">Value</th><th width="119">Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>source</td><td>N</td><td>Y</td><td>Source of the request (e.g., "N")</td></tr></tbody></table>

#### **Request**

{% tabs %}
{% tab title="curl" %}
{% code title="cURL" overflow="wrap" %}

```javascript
curl --location 'https://connects.torusdigital.com/api/v1/funds/details' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data '{
    "source": "N"
}'
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code title="Java-Unirest" fullWidth="false" %}

```java
Unirest.setTimeouts(0, 0);
HttpResponse<String> response = Unirest.post("https://connects.torusdigital.com/api/v1/funds/details")
  .header("Authorization", "Bearer {{token}}")
  .header("Content-Type", "application/json")
  .body("{\n    \"source\": \"N\"\n}")
  .asString();
```

{% endcode %}
{% endtab %}

{% tab title="Go" %}
{% code title="Go-Native" overflow="wrap" fullWidth="true" %}

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://connects.torusdigital.com/api/v1/funds/details"
  method := "POST"
  payload := strings.NewReader(`{
    "source": "N"
  }`)

  client := &http.Client{}
  req, err := http.NewRequest(method, url, payload)
  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{token}}")
  req.Header.Add("Content-Type", "application/json")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code title="JavaScript-jQuery" overflow="wrap" %}

```javascript
var settings = {
  "url": "https://connects.torusdigital.com/api/v1/funds/details",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{token}}",
    "Content-Type": "application/json"
  },
  "data": JSON.stringify({
    "source": "N"
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

**Response**

{% tabs %}
{% tab title="200" %}
{% code overflow="wrap" lineNumbers="true" fullWidth="true" %}

```json
{
    "data": [
        {
            "brokerage_for_com_bo_pending": 0,
            "brokerage_for_com_bo_trades": 0,
            "brokerage_for_com_co_pending": 0,
            "brokerage_for_com_co_trades": 0,
            "brokerage_for_com_intraday_pending": 0,
            "brokerage_for_com_intraday_trades": 0,
            "brokerage_for_com_margin_pending": 0,
            "brokerage_for_com_margin_trades": 0,
            "brokerage_for_cur_bo_pending": 0,
            "brokerage_for_cur_bo_trades": 0,
            "brokerage_for_cur_co_pending": 0,
            "brokerage_for_cur_co_trades": 0,
            "brokerage_for_cur_intraday_pending": 0,
            "brokerage_for_cur_intraday_trades": 0,
            "brokerage_for_cur_margin_pending": 0,
            "brokerage_for_cur_margin_trades": 0,
            "brokerage_for_drv_bo_pending": 0,
            "brokerage_for_drv_bo_trades": 0,
            "brokerage_for_drv_co_pending": 0,
            "brokerage_for_drv_co_trades": 0,
            "brokerage_for_drv_intraday_pending": 0,
            "brokerage_for_drv_intraday_trades": 0,
            "brokerage_for_drv_margin_pending": 0,
            "brokerage_for_drv_margin_trades": 0,
            "brokerage_for_eq_bo_pending": 0,
            "brokerage_for_eq_bo_trades": 0,
            "brokerage_for_eq_cnc_pending": 0,
            "brokerage_for_eq_cnc_trades": 0,
            "brokerage_for_eq_co_pending": 0,
            "brokerage_for_eq_co_trades": 0,
            "brokerage_for_eq_intraday_pending": 0,
            "brokerage_for_eq_intraday_trades": 0,
            "brokerage_for_eq_margin_pending": 0,
            "brokerage_for_eq_margin_trades": 0,
            "com_intraday_pending": 0,
            "com_margin_pending": 0,
            "cur_intraday_pending": 0,
            "cur_margin_pending": 0,
            "drv_intraday_pending": 0,
            "drv_margin_pending": 0,
            "eq_cnc_pending": 8072.1,
            "eq_intraday_pending": 0,
            "eq_margin_pending": 0,
            "executed_com_expo_intraday": 0,
            "executed_com_expo_margin": 0,
            "executed_com_span_intraday": 0,
            "executed_com_span_margin": 0,
            "executed_cur_expo_intraday": 0,
            "executed_cur_expo_margin": 0,
            "executed_cur_span_intraday": 0,
            "executed_cur_span_margin": 0,
            "executed_drv_expo_intraday": 0,
            "executed_drv_expo_margin": 0,
            "executed_drv_span_intraday": 0,
            "executed_drv_span_margin": 0,
            "executed_eq_cnc": 11010.43,
            "executed_eq_intraday": 0,
            "executed_eq_margin": 0,
            "mtm_combined": 0,
            "option_buy_val_com_intraday": 0,
            "option_buy_val_com_margin": 0,
            "option_buy_val_cur_intraday": 0,
            "option_buy_val_cur_margin": 0,
            "option_buy_val_drv_intraday": 0,
            "option_buy_val_drv_margin": 0,
            "option_sell_premium_received_com": 0,
            "option_sell_premium_received_cur": 0,
            "option_sell_premium_received_drv": 0,
            "realised_pnl_com_bo": 0,
            "realised_pnl_com_co": 0,
            "realised_pnl_com_intraday": 0,
            "realised_pnl_com_margin": 0,
            "realised_pnl_cur_bo": 0,
            "realised_pnl_cur_co": 0,
            "realised_pnl_cur_intraday": 0,
            "realised_pnl_cur_margin": 0,
            "realised_pnl_drv_bo": 0,
            "realised_pnl_drv_co": 0,
            "realised_pnl_drv_intraday": 0,
            "realised_pnl_drv_margin": 0,
            "realised_pnl_eq_bo": 0,
            "realised_pnl_eq_cnc": -4.61000000127,
            "realised_pnl_eq_co": 0,
            "realised_pnl_eq_intraday": 0,
            "realised_pnl_eq_margin": 0,
            "receivables_eq_bse": 0,
            "receivables_eq_nse": 0,
            "total_brokerage": 0,
            "total_utilized_amt_com": 0,
            "total_utilized_amt_cur": 0,
            "total_utilized_amt_drv": 0,
            "total_utilized_amt_eq": 19082.53
        }
    ],
    "message": "Success",
    "status": "success"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

### &#x20;   **Response Parameters**

| Parameter                            | Description                                    |
| ------------------------------------ | ---------------------------------------------- |
| `total_utilized_amt_eq`              | Total utilized Amount Equity                   |
| `total_utilized_amt_drv`             | Total utilized Amount Derivatives              |
| `total_utilized_amt_cur`             | Total utilized Amount Currency                 |
| `total_utilized_amt_com`             | Total utilized Amount Commodity                |
| `eq_cnc_pending`                     | Equity CNC Pending                             |
| `eq_margin_pending`                  | Equity Margin Pending                          |
| `eq_intraday_pending`                | Equity Intraday Pending                        |
| `drv_margin_pending`                 | Derivative Margin Pending                      |
| `drv_intraday_pending`               | Derivative Intraday Pending                    |
| `cur_margin_pending`                 | Currency Margin Pending                        |
| `cur_intraday_pending`               | Currency Intraday Pending                      |
| `com_margin_pending`                 | Commodity Margin Pending                       |
| `com_intraday_pending`               | Commodity Intraday Pending                     |
| `executed_eq_cnc`                    | Executed Equity CNC                            |
| `executed_eq_margin`                 | Executed Equity Margin                         |
| `executed_eq_intraday`               | Executed Equity Intraday                       |
| `receivables_eq_nse`                 | Receivables Equity NSE                         |
| `receivables_eq_bse`                 | Receivables Equity BSE                         |
| `executed_drv_span_intraday`         | Executed Derivative SPAN Intraday              |
| `executed_drv_span_margin`           | Executed Derivative SPAN Margin                |
| `executed_cur_span_intraday`         | Executed Currency SPAN Intraday                |
| `executed_cur_span_margin`           | Executed Currency SPAN Margin                  |
| `option_buy_val_drv_intraday`        | Option Buy Value Derivative Intraday           |
| `option_buy_val_drv_margin`          | Option Buy Value Derivative Margin             |
| `option_buy_val_cur_intraday`        | Option Buy Value Currency Intraday             |
| `option_buy_val_cur_margin`          | Option Buy Value Currency Margin               |
| `executed_drv_expo_intraday`         | Executed Derivative Exposure Intraday          |
| `executed_drv_expo_margin`           | Executed Derivative Exposure Margin            |
| `executed_cur_expo_intraday`         | Executed Currency Exposure Intraday            |
| `executed_cur_expo_margin`           | Executed Currency Exposure Margin              |
| `realised_pnl_eq_intraday`           | Realised PL Equity Intraday                    |
| `realised_pnl_eq_margin`             | Realised PL Equity Margin                      |
| `realised_pnl_eq_cnc`                | Realised PL Equity CNC                         |
| `realised_pnl_drv_intraday`          | Realised PL Derivatives Intraday               |
| `realised_pnl_drv_margin`            | Realised PL Derivatives Margin                 |
| `realised_pnl_cur_intraday`          | Realised PL Currency Intraday                  |
| `realised_pnl_cur_margin`            | Realised PL Currency Margin                    |
| `executed_com_span_intraday`         | Executed Commodity SPAN Intraday               |
| `executed_com_span_margin`           | Executed Commodity SPAN Margin                 |
| `option_buy_val_com_intraday`        | Option Buy Value Commodity Intraday            |
| `option_buy_val_com_margin`          | Option Buy Value Commodity Margin              |
| `executed_com_expo_intraday`         | Executed Commodity Exposure Intraday           |
| `executed_com_expo_margin`           | Executed Commodity Exposure Margin             |
| `realised_pnl_com_intraday`          | Realised PL Commodity Intraday                 |
| `realised_pnl_com_margin`            | Realised PL Commodity Margin                   |
| `option_sell_premium_received_com`   | Option Sell Premium Received Commodity         |
| `option_sell_premium_received_drv`   | Option Sell Premium Received Derivatives       |
| `option_sell_premium_received_cur`   | Option Sell Premium Received Currency          |
| `realised_pnl_eq_co`                 | Realised PL Equity CO                          |
| `realised_pnl_eq_bo`                 | Realised PL Equity BO                          |
| `realised_pnl_drv_co`                | Realised PL Derivative CO                      |
| `realised_pnl_drv_bo`                | Realised PL Derivative BO                      |
| `realised_pnl_cur_co`                | Realised PL Currency CO                        |
| `realised_pnl_cur_bo`                | Realised PL Currency BO                        |
| `realised_pnl_com_co`                | Realised PL Commodity CO                       |
| `realised_pnl_com_bo`                | Realised PL Commodity BO                       |
| `brokerage_for_eq_cnc_trades`        | Brokerage for Equity CNC trades                |
| `brokerage_for_eq_margin_trades`     | Brokerage for Equity Margin trades             |
| `brokerage_for_eq_intraday_trades`   | Brokerage for Equity Intraday trades           |
| `brokerage_for_eq_co_trades`         | Brokerage for Equity Cover Order trades        |
| `brokerage_for_eq_bo_trades`         | Brokerage for Equity Bracket Order trades      |
| `brokerage_for_drv_margin_trades`    | Brokerage for Derivative Margin trades         |
| `brokerage_for_drv_intraday_trades`  | Brokerage for Derivative Intraday trades       |
| `brokerage_for_drv_co_trades`        | Brokerage for Derivative Cover Order trades    |
| `brokerage_for_drv_bo_trades`        | Brokerage for Derivative Bracket Order trades  |
| `brokerage_for_cur_margin_trades`    | Brokerage for Currency Margin trades           |
| `brokerage_for_cur_intraday_trades`  | Brokerage for Currency Intraday trades         |
| `brokerage_for_cur_co_trades`        | Brokerage for Currency Cover Order trades      |
| `brokerage_for_cur_bo_trades`        | Brokerage for Currency Bracket Order trades    |
| `brokerage_for_com_margin_trades`    | Brokerage for Commodity Margin trades          |
| `brokerage_for_com_intraday_trades`  | Brokerage for Commodity Intraday trades        |
| `brokerage_for_com_co_trades`        | Brokerage for Commodity Cover Order trades     |
| `brokerage_for_com_bo_trades`        | Brokerage for Commodity Bracket Order trades   |
| `brokerage_for_eq_cnc_pending`       | Brokerage for Equity CNC Pending               |
| `brokerage_for_eq_margin_pending`    | Brokerage for Equity Margin Pending            |
| `brokerage_for_eq_intraday_pending`  | Brokerage for Equity Intraday Pending          |
| `brokerage_for_eq_co_pending`        | Brokerage for Equity Cover Order Pending       |
| `brokerage_for_eq_bo_pending`        | Brokerage for Equity Bracket Order Pending     |
| `brokerage_for_drv_margin_pending`   | Brokerage for Derivative Margin Pending        |
| `brokerage_for_drv_intraday_pending` | Brokerage for Derivative Intraday Pending      |
| `brokerage_for_drv_co_pending`       | Brokerage for Derivative Cover Order Pending   |
| `brokerage_for_drv_bo_pending`       | Brokerage for Derivative Bracket Order Pending |
| `brokerage_for_cur_margin_pending`   | Brokerage for Currency Margin Pending          |
| `brokerage_for_cur_intraday_pending` | Brokerage for Currency Intraday Pending        |
| `brokerage_for_cur_co_pending`       | Brokerage for Currency Cover Order Pending     |
| `brokerage_for_cur_bo_pending`       | Brokerage for Currency Bracket Order Pending   |
| `brokerage_for_com_margin_pending`   | Brokerage for Commodity Margin Pending         |
| `brokerage_for_com_intraday_pending` | Brokerage for Commodity Intraday Pending       |
| `brokerage_for_com_co_pending`       | Brokerage for Commodity Cover Order Pending    |
| `brokerage_for_com_bo_pending`       | Brokerage for Commodity Bracket Order Pending  |
| `total_brokerage`                    | Total Brokerage                                |
| `mtm_combined`                       | MTM Combined                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://heytorus.gitbook.io/funds/fund-limits-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
